package eth

import "math/big"

type transferValue struct {
	nonce   uint64
	gasPrice *big.Int
	gasLimit uint64
}

type Option func(v *transferValue)

func OptionGasLimit(gasLimit uint64) Option {
	return func(v *transferValue) {
		v.gasLimit = gasLimit
		return
	}
}

func OptionGasPrice(gasPrice *big.Int) Option {
	return func(v *transferValue) {
		v.gasPrice = gasPrice
		return
	}
}
